org.postgis.binary

## Class ValueSetter.XDR

- java.lang.Object
- - org.postgis.binary.ValueSetter
  - - org.postgis.binary.ValueSetter.XDR

Enclosing class:
  ValueSetter

    public static class ValueSetter.XDR
    extends ValueSetter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.postgis.binary.ValueSetter

`ValueSetter.NDR, ValueSetter.XDR`

### Field Summary

Fields
`static byte` `NUMBER`

### Fields inherited from class org.postgis.binary.ValueSetter

`endian`

### Constructor Summary

Constructors
Constructor and Description
`XDR(ByteSetter data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `setInt(int value, int index)` Get a 32-Bit integer
`protected void` `setLong(long value, int index)` Get a long value.

### Methods inherited from class org.postgis.binary.ValueSetter

`setByte, setDouble, setInt, setLong, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NUMBER

    public static final byte NUMBER

See Also:
  Constant Field Values

### Constructor Detail

#### XDR

    public XDR(ByteSetter data)

### Method Detail

#### setInt

    protected void setInt(int value,
                          int index)

Description copied from class: `ValueSetter`
Get a 32-Bit integer

Specified by:
  `setInt` in class `ValueSetter`

#### setLong

    protected void setLong(long value,
                           int index)

Description copied from class: `ValueSetter`
Get a long value. This is not needed directly, but as a nice side-effect from GetDouble.

Specified by:
  `setLong` in class `ValueSetter`